1

I have QGIS 2.18 and QGIS 3.6 installed on my machine (running Windows 10) and I am able to add ArcGIS MapServer Layers to my project in QGIS 2.18 without problems, but in QGIS 3.6, using the same services used in QGIS 2.18, it returns an error:

Failed to retrieve service capabilities. Network error: The proxy type is invalid for this operation

I'm using the Add ArcGIS MapServer Layer... tool to add the map service to the project.

Here's a printscreen of the creation of the connection to the ArcGIS MapService:

enter image description here

After clicking in the Connect button, it returns the following message:

enter image description here

  • 4
    Should go to ArcGIS Customer Support – DPSSpatial Aug 6 '19 at 14:47
  • 1
    I can't find any problem with the map service from ArcGIS Server to report to ESRI. Shouldn't the feature function in the same way in the two versions of QGIS? Could be something missing in the installation of QGIS 3.6? – Carlos MSF Aug 6 '19 at 16:53
  • 1
    gis.cm-lisboa.pt/arcgis/rest/services/Orto2011_ETRS89/MapServer works for me in QGIS 3.6. I'm on Windows 10 too – nmtoken Aug 7 '19 at 12:53
  • @nmtoken Thanks. It must be an installation issue then (I was trying to escape from debating with company's IT support, but no luck for me...) – Carlos MSF Aug 7 '19 at 15:35
  • 1
    you haven't accidentally got Settings > Options > Use proxy for web access set, or set and looking at some invalid proxy? – nmtoken Aug 7 '19 at 15:43